Xapian: API Documentation: Xapian::Clusterer Class Reference

xapian-core 2.0.0

Public Member Functions | List of all members
Xapian::Clusterer Class Referenceabstract

Class representing an abstract class for a clusterer to be implemented. More...

`#include <cluster.h>`

Inheritance diagram for Xapian::Clusterer:
[legend]

## Public Member Functions
virtual | ~Clusterer ()
| Destructor.
virtual ClusterSet | cluster (const MSet &mset)=0
| Implement the required clustering algorithm in the subclass and and return clustered output as ClusterSet.
virtual std::string | get_description () const =0
| Returns a string describing the clusterer being used.
Clusterer * | release ()
| Start reference counting this object.
const Clusterer * | release () const
| Start reference counting this object.

## Detailed Description

Class representing an abstract class for a clusterer to be implemented.

## Member Function Documentation

## ◆ cluster()

virtual ClusterSet Xapian::Clusterer::cluster | ( | const MSet & | mset | ) |
| pure virtual

Implement the required clustering algorithm in the subclass and and return clustered output as ClusterSet.

Parameters

  mset | The MSet object which contains the documents to be clustered

Implemented in Xapian::KMeans, and Xapian::LCDClusterer.

## ◆ get_description()

virtual std::string Xapian::Clusterer::get_description | ( |  | ) | const
| pure virtual

Returns a string describing the clusterer being used.

Implemented in Xapian::KMeans, and Xapian::LCDClusterer.

## ◆ release() [1/2]

Clusterer * Xapian::Clusterer::release | ( |  | ) |
| inline

Start reference counting this object.

You can transfer ownership of a dynamically allocated Clusterer object to Xapian by calling release() and then passing the object to a Xapian method. Xapian will arrange to delete the object once it is no longer required.

## ◆ release() [2/2]

const Clusterer * Xapian::Clusterer::release | ( |  | ) | const
| inline

Start reference counting this object.

You can transfer ownership of a dynamically allocated Clusterer object to Xapian by calling release() and then passing the object to a Xapian method. Xapian will arrange to delete the object once it is no longer required.

The documentation for this class was generated from the following file:

- xapian/cluster.h